have you tried downgrading to 1.0.2 and then upgrade to 1.1.4